---
title: MediaImage
slug: Web/API/MediaImage
---
<p>{{APIRef("Media Session API")}}</p>

<p><span class="seoSummary">The Media Session API's <code><strong>MediaImage</strong></code> dictionary describes the images associated with a media resource's {{domxref("MediaMetadata")}}.</span> Its contents can be displayed by the {{Glossary("user agent")}} in appropriate contexts like in a player interface to show the current playing video or audio track.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MediaImage.src", "src")}}</dt>
 <dd>The URL from which the user agent fetches the image's data.</dd>
 <dt>{{domxref("MediaImage.sizes", "sizes")}}</dt>
 <dd>Specifies the resource in multiple sizes so the user agent doesn't have to scale a single image.</dd>
 <dt>{{domxref("MediaImage.type", "type")}}</dt>
 <dd>The {{Glossary("MIME type")}} hint for the user agent that allows it to ignore images of types that it doesn't support. However, the user agent may still use MIME type sniffing after downloading the image to determine its type.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Media Session','#dictdef-mediaimage','MediaImage')}}</td>
   <td>{{Spec2('Media Session')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.MediaImage")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaMetadata.artwork")}}</li>
</ul>
